Bug 216907 - No udev rule for HP OfficeJet 5615
No udev rule for HP OfficeJet 5615
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Depends On:
  Show dependency treegraph
Reported: 2006-11-22 11:51 EST by Carsten Clasohm
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-07 09:04:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Carsten Clasohm 2006-11-22 11:51:44 EST
Description of problem:

/etc/udev/rules.d/60-libsane.rules does not contain a rule for the HP OfficeJet
5615 printer/scanner/fax/copier. This prevents users other than root from
accessing the scanner because pam-console doesn't notice the device.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. plug in the HP OfficeJet 5615 via USB
2. look at the newly created /dev/usbdev1.7_ep0* files
Actual results:

device files are owned by root

Expected results:

device files should be owned by the currently logged-in user

Additional info:

The following udev rule fixes this:

# Hewlett-Packard OfficeJet 5615
SYSFS{idVendor}=="03f0", SYSFS{idProduct}=="4f11", SYMLINK+="scanner-%k"
Comment 1 Nils Philippsen 2007-07-24 03:39:59 EDT
Please try sane-backends-1.0.18-10.fc6 which should be in updates-testing and
contains fixes in that area.
Comment 2 Nils Philippsen 2007-11-07 09:04:53 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.